#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 10. Graphics and Font Libraries

- Prev

  Graphics and Font Libraries

- Next

  babl-0.1.84

- Up
- Home

# AAlib-1.4rc5

## Introduction to AAlib

AAlib is a library to render any graphic into ASCII Art.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/aa-project/aalib-1.4rc5.tar.gz

- Download MD5 sum: 9801095c42bba12edebd1902bcf0a990

- Download size: 388 KB

- Estimated disk space required: 6.5 MB

- Estimated build time: 0.1 SBU

### AAlib Dependencies

#### Optional

X Window System, slang-2.3.2, and GPM-1.20.7

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/aalib

## Installation of AAlib

Fix a minor problem with the included m4 file:

    sed -i -e '/AM_PATH_AALIB,/s/AM_PATH_AALIB/[&]/' aalib.m4

Install AAlib by running the following commands:

    ./configure --prefix=/usr             \
                --infodir=/usr/share/info \
                --mandir=/usr/share/man   \
                --disable-static          &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: aafire, aainfo, aalib-config, aasavefont, and aatest
Installed Library: libaa.so
Installed Directories: None

### Short Descriptions

aafire | is a demo of AAlib, rendering an animated fire in ASCII Art
aainfo | provides information for your current settings related to AAlib
aalib-config | provides configuration info for AAlib
aasavefont | saves a font to a file
aatest | shows the abilities of AAlib in a little test
`libaa.{so,a}` | is a collection of routines to render any graphical input in portable format to ASCII Art. It can be used through many programs and has a very well documented API, so you can easily put it into your own programs

Last updated on 2021-02-21 15:09:04 -0800

- Prev

  Graphics and Font Libraries

- Next

  babl-0.1.84

- Up
- Home